﻿using Microsoft.Extensions.Logging;
using System;

namespace $safeprojectname$
{
    internal class DbLoggerProvider : ILoggerProvider
    {
        private readonly Action<string> _writeAction;

        public DbLoggerProvider(Action<string> writeAction)
        {
            _writeAction = writeAction;
        }


        public ILogger CreateLogger(string name)
        {
            return new DbSimpleLogger(_writeAction);
        }

        public void Dispose()
        {
        }
    }
}
