﻿using System;
using System.Collections.Generic;
using System.Text;

namespace $safeprojectname$
{
    #region Numeric Enums

    public enum NumericFormatEnum
    {
        Double,
        Int,
        Uint,
        Natural
    }

    public enum EvenOddConstraintEnum
    {
        All,
        OnlyEven,
        OnlyOdd
    }
    #endregion

    #region Page Enums
    // <summary>
    /// Stile der Seitenanimation zum Ein- / Ausblenden
    /// </ summary>
    public enum PageAnimationEnum
    {
        None = 0,
        SlideAndFadeInFromRight = 1,
        SlideAndFadeOutToLeft = 2,
    }

    public enum ApplicationPageEnum
    {
        Login,
        Register,
        Main,
    }

    #endregion

    #region Animation Enums
    /// <summary>
    /// Die Richtung, in die eine Animation gleitet (die Richtung zum Herausgleiten ist umgekehrt)
    /// <summary>
    public enum AnimationSlideInDirectionEnum
    {
        Left = 0,
        Right = 1,
        Top = 2,
        Bottom = 3
    }
    #endregion
}
