﻿using System;

namespace $safeprojectname$
{
    public class Instance
    {
        private Instance()
        {
            _settingsCache = new SettingsCacheManager();
        }

        public static Instance AppInstance { get; } = new Instance();
        public string CurrentConnectionstring { get; set; }
        public bool EfLogOn { get; set; } = false;
        public string CurrentUsername { get; set; }
        public object Messenger { get; set; }

        private SettingsCacheManager _settingsCache;
        public SettingsCacheManager SettingsCache => _settingsCache ?? new SettingsCacheManager();

    }
}
