﻿using System;
using System.Globalization;

namespace $safeprojectname$
{
    /// <summary>
    /// Ein Konverter, der einen boolschen Wert aufnimmt und in ein BorderThickness umwandelt.
    /// Wird ein Parameter angegeben, wird die Konvertierung umgekehrt
    /// </summary>
    public class BooleanToBorderThicknessConverter : ValueConverterBase<BooleanToBorderThicknessConverter>
    {
        public override object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (parameter == null)
                return (bool)value ? 4 : 2;
            else
                return (bool)value ? 2 : 4;
        }

        public override object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
