﻿using System;
using System.Security.Cryptography;
using System.Text;

namespace $safeprojectname$
{
    public static class PasswordHelper
    {
        public static string GetHash(this string plainText)
        {
            if (string.IsNullOrEmpty(plainText)) return string.Empty;
            using (SHA512 hash = SHA512.Create())
            {
                byte[] bytes = hash.ComputeHash(Encoding.UTF8.GetBytes(plainText));
                return BitConverter.ToString(bytes);
            }
        }
    }
}
