﻿using System;
using System.Globalization;

namespace $safeprojectname$
{
    public class DayofWeekToStringConverter : ValueConverterBase<DayofWeekToStringConverter>
    {
        public override object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            switch ((DayOfWeek)value)
            {
                case DayOfWeek.Sunday:
                    return "Sonntag";
                case DayOfWeek.Monday:
                    return "Montag";
                case DayOfWeek.Tuesday:
                    return "Dienstag";
                case DayOfWeek.Wednesday:
                    return "Mittwoch";
                case DayOfWeek.Thursday:
                    return "Donnerstag";
                case DayOfWeek.Friday:
                    return "Freitag";
                case DayOfWeek.Saturday:
                    return "Samstag";
                default:
                    return "Kein Eintrag";
            }

        }

        public override object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
