﻿using System;
using System.Globalization;

namespace $safeprojectname$
{
    public class DurationToStringConverter : ValueConverterBase<DurationToStringConverter>
    {
        public override object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var ts = (TimeSpan)value;
            if (ts.Ticks < 0)
                return "- " + ts.ToString(@"hh\:mm\:ss");
            return ts.ToString(@"hh\:mm\:ss");
        }

        public override object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
