﻿using System;
using System.Globalization;
using System.Windows.Media;

namespace $safeprojectname$
{
    public class StringToColorBrushConverter : ValueConverterBase<StringToColorBrushConverter>
    {
        public override object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var val = value.ToString();
            switch (val)
            {
                case "White":
                    return new SolidColorBrush(Colors.White);
                case "Red":
                    return new SolidColorBrush(Colors.Red);
                case "Green":
                    return new SolidColorBrush(Colors.Green);
                case "Black":
                    return new SolidColorBrush(Colors.Black);
                case "Silver":
                    return new SolidColorBrush(Colors.Silver);
                case "LightBlue":
                    return new SolidColorBrush(Colors.LightBlue);
                case "Orange":
                    return new SolidColorBrush(Colors.OrangeRed);
                case "Gold":
                    return new SolidColorBrush(Colors.Gold);
            }
            return new SolidColorBrush(Colors.Transparent);
        }

        public override object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
