﻿using System;
using System.Globalization;
using System.Windows.Media;

namespace $safeprojectname$
{
    public class StringToOutlineColorBrushConverter : ValueConverterBase<StringToOutlineColorBrushConverter>
    {
        public override object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            switch (value.ToString())
            {
                case "Silver":
                    return new SolidColorBrush(Colors.Silver);
                case "LightBlue":
                    return new SolidColorBrush(Colors.LightBlue);
            }
            return new SolidColorBrush(Colors.Transparent);
        }

        public override object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
